<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
	xmlns:ns="http://www.bourse.lu/rap/O41"
	xmlns:fnbourse="http://www.bcl.lu/2006/bcl-xpath-functions"
	exclude-result-prefixes="ext fnbourse"
	version="2.0">


	<xsl:output method="xml" indent="yes" />
	
	<xsl:param name="spaceParam" />
	<xsl:param name="mappingParam" />

	<!--  -->
	<!-- Début Partie sur les Tests de Contrôles liées aux fichiers Déposés -->
	<!--  -->

	<xsl:template name="obtenirDateFormatee">
		<xsl:param name="dateEntree" />
		<xsl:param name="formatEntree" />
		<xsl:param name="formatSortie" />
		<xsl:variable name="timeVide" select="'00:00:00'" />

		<xsl:choose>
			<xsl:when test="$formatEntree='ddmmyyyy'">
				<xsl:choose>
					<xsl:when test="$formatSortie='date'">
						<xsl:value-of
							select="concat(substring($dateEntree, 5, 4), '-', substring($dateEntree, 3, 2), '-', substring($dateEntree, 1, 2))" />
					</xsl:when>
					<xsl:when test="$formatSortie='dateTime'">
						<xsl:value-of
							select="concat(substring($dateEntree, 5, 4), '-', substring($dateEntree, 3, 2), '-', substring($dateEntree, 1, 2), 'T', $timeVide)" />
					</xsl:when>
				</xsl:choose>
			</xsl:when>

			<xsl:when test="$formatEntree='yyyymmdd_hhmmss'">
				<xsl:choose>
					<xsl:when test="$formatSortie='date'">
						<xsl:value-of
							select="concat(substring($dateEntree, 1, 4), '-', substring($dateEntree, 5, 2), '-', substring($dateEntree, 7, 2))" />
					</xsl:when>
					<xsl:when test="$formatSortie='dateTime'">
						<xsl:value-of
							select="concat(substring($dateEntree, 1, 4), '-', substring($dateEntree, 5, 2), '-', substring($dateEntree, 7, 2), 'T', substring($dateEntree, 10, 2), ':', substring($dateEntree, 12, 2), ':', substring($dateEntree, 14, 2))" />
					</xsl:when>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>



	<xsl:template name="boucleTest" match="/file">

		<xsl:param name="iteration" select="1" />

		<xsl:if test="count(row) > $iteration ">
			<xsl:call-template name="boucleTest">
				<xsl:with-param name="iteration"
					select="$iteration + 1" />
			</xsl:call-template>
		</xsl:if>

		<!--  -->
		<!-- Fin Partie sur les Tests de Contrôles liés aux fichiers Déposés -->
		<!--  -->

		<!--  -->
		<!--  On n'effectue la transformation em Message Pivot seulement si l'ensemble des Tests ont été réalisés avec succès -->
		<!--  -->
		<xsl:if test="$iteration = count(row)">
			<ns:MsgInO41>
				<ns:Vers SchemaVers="1.0">
					<xsl:variable name="numVersXSD"
						select="ext:recupNumVersXSDFile($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$numVersXSD" />
				</ns:Vers>
				<xsl:call-template name="ELT-TECH" />
				<ns:SeqInO41>
					<ns:Conc1>
						<xsl:call-template name="SEQUENCE-IN-O41" />
					</ns:Conc1>
				</ns:SeqInO41>
			</ns:MsgInO41>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="replace-string">
	  <xsl:param name="str" />
		<xsl:param name="strToReplace" />
		<xsl:param name="newStr" />
		<xsl:choose>
  		<xsl:when test="contains($str,$strToReplace)">
        <xsl:value-of select="concat(substring-before($str,$strToReplace),$newStr)"/>
        <xsl:call-template name="replace-string"> 
          <xsl:with-param name="str" select="substring-after($str,$strToReplace)" /> 
          <xsl:with-param name="strToReplace" select="$strToReplace" /> 
          <xsl:with-param name="newStr" select="$newStr" /> 
        </xsl:call-template> 
      </xsl:when> 
      <xsl:otherwise>
        <xsl:value-of select="$str"/>
      </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="ELT-TECH">

		<ns:other>
			<ns:EltTech>
				<ns:ListePays>
					<xsl:value-of select="ext:getListePays()" />
				</ns:ListePays>
				<ns:ListeDev>
					<xsl:value-of select="ext:getListeDevises()" />
				</ns:ListeDev>
				<ns:CdLang>
					<xsl:value-of select="ext:getLang()" />
				</ns:CdLang>
				<ns:UrlCombo>
					<xsl:value-of select="ext:recupDonnee('WS_URL_COMBO', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlCombo>
				<ns:UrlDownload>
					<xsl:value-of select="ext:recupDonnee('WS_URL_DOWNLOAD', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlDownload>
				<ns:UrlCmun>
					<xsl:value-of select="ext:recupDonnee('WS_URL_COMMUN', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlCmun>
				<ns:CdIdentAcCssf>
					<xsl:value-of
						select="ext:obtenirCdAcCssf($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:CdIdentAcCssf>
				<ns:CdIdentAcBcl>
					<xsl:value-of
						select="ext:obtenirCdAc($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:CdIdentAcBcl>
				<ns:DtCre>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtCre>
				<ns:DtEnvoi>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtEnvoi>
				<ns:DtValidat>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtValidat>
				<ns:NumMess>
					<xsl:variable name="numMess"
						select="ext:recupNumeroMessage($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$numMess" />
				</ns:NumMess>
				<ns:MotPasAc>
					<xsl:variable name="pwdAc"
						select="ext:obtenirPwdAc($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$pwdAc" />
				</ns:MotPasAc>
				<ns:CdAuthent>
					<xsl:variable name="cdAuth"
						select="ext:obtenirCodeAuth($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$cdAuth" />
				</ns:CdAuthent>
				<ns:CdOpe>
					<xsl:value-of
						select="row[@id='filtre1701']/col[@id=3]" />
				</ns:CdOpe>
				<ns:Sess>
					<xsl:value-of select="''" />
				</ns:Sess>
				<ns:IdTypeDoc>
					<xsl:variable name="typeDoc"
						select="ext:recupDonnee('TYPE_DOC', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$typeDoc" />
				</ns:IdTypeDoc>
			</ns:EltTech>
		</ns:other>
	</xsl:template>

	<xsl:template name="SEQUENCE-IN-O41">
		<xsl:call-template name="SEGMENT-CONTEXT" />
		<xsl:call-template name="SEGMENT-PATRIM" />
		<xsl:call-template name="SEGMENT-OPE" />
		<xsl:call-template name="SEGMENT-ACTIF" />
		<xsl:call-template name="SEGMENT-MVT" />
		<xsl:call-template name="SEGMENT-PAYS" />
	</xsl:template>

	<xsl:template name="SEGMENT-CONTEXT">
		<ns:Context>
			<xsl:call-template name="CONTEXT-STRUCTJUROPC" />
			<xsl:call-template name="CONTEXT-TECH" />
			<xsl:call-template name="CONTEXT-TECHCONTACT" />
			<xsl:call-template name="CONTEXT-INSTRFONDS" />
			<xsl:call-template name="CONTEXT-INSTRCOMPART" />
			<xsl:call-template name="CONTEXT-DEV" />
			<xsl:call-template name="CONTEXT-COLLCOMPARTRAPO41" />
			<xsl:call-template name="CONTEXT-CONTEXTRAPANN41" />
		</ns:Context>
	</xsl:template>

	<xsl:template name="CONTEXT-STRUCTJUROPC">
		<ns:StructJurOpc>
			<ns:CdStructJurOpc>
				<xsl:variable name="idStructJurOpc"
					select="ext:recupDonnee('IDSTRUCTJUROPC', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$idStructJurOpc" />
			</ns:CdStructJurOpc>
		</ns:StructJurOpc>
	</xsl:template>

	<xsl:template name="CONTEXT-TECH">
		<ns:Tech>
			<ns:Adr>
				<xsl:variable name="adresse1"
					select="ext:recupDonnee('ADDRESSE1', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$adresse1" />
				<xsl:variable name="adresse2"
					select="ext:recupDonnee('ADDRESSE2', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$adresse2" />
			</ns:Adr>
			<ns:CdPostal>
				<xsl:variable name="cdpostal"
					select="ext:recupDonnee('CDPOSTAL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$cdpostal" />
			</ns:CdPostal>
			<ns:Ville>
				<xsl:variable name="ville"
					select="ext:recupDonnee('VILLE', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$ville" />
			</ns:Ville>
			<ns:Pays>
				<xsl:variable name="pays"
					select="ext:recupDonnee('IDPAYS', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$pays" />
			</ns:Pays>
		</ns:Tech>
	</xsl:template>

	<xsl:template name="CONTEXT-TECHCONTACT">
		<ns:TechContact>
			<ns:Titre>
				<xsl:value-of select="''" />
			</ns:Titre>
			<ns:Nom>
				<xsl:variable name="nomUtil"
					select="ext:recupDonnee('NOMUTIL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$nomUtil" />
			</ns:Nom>
			<ns:Prenom>
				<xsl:variable name="prenomUtil"
					select="ext:recupDonnee('PRENOMUTIL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$prenomUtil" />
			</ns:Prenom>
			<ns:Tel>
				<xsl:variable name="tel"
					select="ext:recupDonnee('TEL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$tel" />
			</ns:Tel>
		</ns:TechContact>
	</xsl:template>

	<xsl:template name="CONTEXT-COLLCOMPARTRAPO41">
		<ns:CollCompartRapO41>
			<ns:CdCssfOpc>
				<xsl:value-of
					select="normalize-space(row[@id='filtre1701']/col[@id=4])" />
			</ns:CdCssfOpc>
			<ns:CdCssfCompart>
				<xsl:value-of
					select="normalize-space(row[@id='filtre1701']/col[@id=5])" />
			</ns:CdCssfCompart>
			<ns:CdAacOpc>
				<xsl:value-of select="row[@id='filtre1701']/col[@id=6]" />
			</ns:CdAacOpc>
			<ns:CdAacCompart>
				<xsl:value-of select="row[@id='filtre1701']/col[@id=7]" />
			</ns:CdAacCompart>
			<ns:DtDebRap>
				<xsl:variable name="dtDebRap"
					select="row[@id='filtre1701']/col[@id=8]" />
				<xsl:call-template name="obtenirDateFormatee">
					<xsl:with-param name="dateEntree"
						select="ext:obtenirDate($dtDebRap)" />
					<xsl:with-param name="formatEntree"
						select="'ddmmyyyy'" />
					<xsl:with-param name="formatSortie" select="'date'" />
				</xsl:call-template>
			</ns:DtDebRap>
			<ns:DtFinRap>
				<xsl:variable name="dtFinRap"
					select="row[@id='filtre1701']/col[@id=9]" />
				<xsl:call-template name="obtenirDateFormatee">
					<xsl:with-param name="dateEntree"
						select="ext:obtenirDate($dtFinRap)" />
					<xsl:with-param name="formatEntree"
						select="'ddmmyyyy'" />
					<xsl:with-param name="formatSortie" select="'date'" />
				</xsl:call-template>
			</ns:DtFinRap>
		</ns:CollCompartRapO41>
	</xsl:template>

	<xsl:template name="CONTEXT-CONTEXTRAPANN41">
		<ns:ContextRapAnn41>
			<ns:TxChge>
				<xsl:value-of select="format-number(row[@id='filtre1701']/col[@id=11] div 100000, '#.#####')" />
			</ns:TxChge>
		</ns:ContextRapAnn41>
	</xsl:template>

	<xsl:template name="CONTEXT-INSTRCOMPART">
		<ns:InstrCompart>
			<ns:LibAbrInstr>
				<xsl:variable name="libInstrCompart"
					select="ext:obtenirContextForm(row[@id='filtre1701']/ficOri, row[@id='filtre1701']/ligneOri,'COMPART', row[@id='filtre1701']/col[@id=4], row[@id='filtre1701']/col[@id=5],row[@id='filtre1701']/col[@id=6], row[@id='filtre1701']/col[@id=7], $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:call-template name="replace-string">
				  <xsl:with-param name="str"
						select="$libInstrCompart" />
					<xsl:with-param name="strToReplace"
						select="'&#128;'" /><!-- On remplace le caractere euro par un encoding euro correct pour l'afficher correctement dans les pdf'-->
					<xsl:with-param name="newStr"
						select="'&#8364;'" />
				</xsl:call-template>
			</ns:LibAbrInstr>
		</ns:InstrCompart>
	</xsl:template>

	<xsl:template name="CONTEXT-DEV">
		<ns:Dev>
			<ns:CdDevIso>
				<xsl:value-of
					select="row[@id='filtre1701']/col[@id=10]" />
			</ns:CdDevIso>

		</ns:Dev>
	</xsl:template>

	<xsl:template name="CONTEXT-INSTRFONDS">
		<ns:InstrFonds>
			<ns:LibAbrInstr>
				<xsl:variable name="libInstrFonds"
					select="ext:obtenirContextForm(row[@id='filtre1701']/ficOri, row[@id='filtre1701']/ligneOri,'FONDS', row[@id='filtre1701']/col[@id=4], row[@id='filtre1701']/col[@id=5],row[@id='filtre1701']/col[@id=6], row[@id='filtre1701']/col[@id=7], $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:call-template name="replace-string">
				  <xsl:with-param name="str"
						select="$libInstrFonds" />
					<xsl:with-param name="strToReplace"
						select="'&#128;'" /><!-- On remplace le caractere euro par un encoding euro correct pour l'afficher correctement dans les pdf'-->
					<xsl:with-param name="newStr"
						select="'&#8364;'" />
				</xsl:call-template>
			</ns:LibAbrInstr>
		</ns:InstrFonds>
	</xsl:template>

	<xsl:template name="SEGMENT-PATRIM">
		<ns:Patrim>
			<ns:Mt1000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=12],'#')" />
			</ns:Mt1000>
			<ns:Mt1100>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=13],'#')" />
			</ns:Mt1100>
			<ns:Mt1110>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=14],'#')" />
			</ns:Mt1110>
			<ns:Mt1111>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=15],'#')" />
			</ns:Mt1111>
			<xsl:call-template name="PATRIM-L1112" />
			<xsl:call-template name="PATRIM-L1113" />
			<xsl:call-template name="PATRIM-L1114" />
			<xsl:call-template name="PATRIM-L1115" />
			<ns:Mt1120>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=20],'#')" />
			</ns:Mt1120>
			<xsl:call-template name="PATRIM-L1121" />
			<xsl:call-template name="PATRIM-L1222" />
			<xsl:call-template name="PATRIM-L1130" />
			<xsl:call-template name="PATRIM-L1140" />
			<ns:Mt1200>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=25],'#')" />
			</ns:Mt1200>
			<ns:Mt1210>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=26],'#')" />
			</ns:Mt1210>
			<xsl:call-template name="PATRIM-PATRIMRAPANN41" />
			<ns:Mt1300>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=31],'#')" />
			</ns:Mt1300>
			<ns:Mt1310>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=32],'#')" />
			</ns:Mt1310>
			<xsl:call-template name="PATRIM-L1320" />
			<ns:Mt1400>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=36],'#')" />
			</ns:Mt1400>
			<xsl:call-template name="PATRIM-L1410" />
			<ns:Mt1500>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=39],'#')" />
			</ns:Mt1500>
			<ns:Mt2000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=42],'#')" />
			</ns:Mt2000>
			<ns:Mt3000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=45],'#')" />
			</ns:Mt3000>

		</ns:Patrim>
	</xsl:template>

	<xsl:template name="PATRIM-L1112">
		<ns:L1112>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=16],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=15])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1112>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411112>
									<ns:MtIml1112>
										<xsl:value-of
											select="format-number(col[@id=15],'#')" />
									</ns:MtIml1112>
								</ns:PaysEmisRap411112>
							</ns:S1112>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1112>
	</xsl:template>

	<xsl:template name="PATRIM-L1113">
		<ns:L1113>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=17],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=16])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1113>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411113>
									<ns:MtIml1113>
										<xsl:value-of
											select="format-number(col[@id=16],'#')" />
									</ns:MtIml1113>
								</ns:PaysEmisRap411113>
							</ns:S1113>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1113>
	</xsl:template>

	<xsl:template name="PATRIM-L1114">
		<ns:L1114>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=18],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=17])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1114>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411114>
									<ns:MtIml1114>
										<xsl:value-of
											select="format-number(col[@id=17], '#')" />
									</ns:MtIml1114>
								</ns:PaysEmisRap411114>
							</ns:S1114>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1114>
	</xsl:template>

	<xsl:template name="PATRIM-L1115">
		<ns:L1115>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=19],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=18])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1115>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411115>
									<ns:MtIml1115>
										<xsl:value-of
											select="format-number(col[@id=18],'#')" />
									</ns:MtIml1115>
								</ns:PaysEmisRap411115>
							</ns:S1115>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1115>
	</xsl:template>

	<xsl:template name="PATRIM-L1121">
		<ns:L1121>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=21],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=20])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1121>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411121>
									<ns:MtIml1121>
										<xsl:value-of
											select="format-number(col[@id=20],'#')" />
									</ns:MtIml1121>
								</ns:PaysEmisRap411121>
							</ns:S1121>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1121>
	</xsl:template>

	<xsl:template name="PATRIM-L1222">
		<ns:L1122>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=22],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=21])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1122>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411122>
									<ns:MtIml1122>
										<xsl:value-of
											select="format-number(col[@id=21],'#')" />
									</ns:MtIml1122>
								</ns:PaysEmisRap411122>
							</ns:S1122>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1122>
	</xsl:template>

	<xsl:template name="PATRIM-L1130">
		<ns:L1130>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=23],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=22])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1130>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411130>
									<ns:MtIml1130>
										<xsl:value-of
											select="format-number(col[@id=22],'#')" />
									</ns:MtIml1130>
								</ns:PaysEmisRap411130>
							</ns:S1130>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1130>
	</xsl:template>

	<xsl:template name="PATRIM-L1140">
		<ns:L1140>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=24],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=23])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1140>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411140>
									<ns:MtIml1140>
										<xsl:value-of
											select="format-number(col[@id=23],'#')" />
									</ns:MtIml1140>
								</ns:PaysEmisRap411140>
							</ns:S1140>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1140>
	</xsl:template>

	<xsl:template name="PATRIM-PATRIMRAPANN41">
		<ns:PatrimRapAnn41>
			<ns:MtIml1211>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=27],'#')" />
			</ns:MtIml1211>
			<ns:MtIml1212>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=28],'#')" />
			</ns:MtIml1212>
			<ns:MtIml1220>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=29],'#')" />
			</ns:MtIml1220>
			<ns:MtIml1230>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=30],'#')" />
			</ns:MtIml1230>
			<ns:MtIml1311>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=33],'#')" />
			</ns:MtIml1311>
			<ns:MtIml1312>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=34],'#')" />
			</ns:MtIml1312>
			<ns:MtIml1420>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=38],'#')" />
			</ns:MtIml1420>
			<ns:MtIml1510>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=40],'#')" />
			</ns:MtIml1510>
			<ns:MtIml1520>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=41],'#')" />
			</ns:MtIml1520>
			<ns:MtIml2100>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=43],'#')" />
			</ns:MtIml2100>
			<ns:MtIml2200>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=44],'#')" />
			</ns:MtIml2200>
		</ns:PatrimRapAnn41>
	</xsl:template>

	<xsl:template name="PATRIM-L1320">
		<ns:L1320>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=35],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=24])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1320>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411320>
									<ns:MtIml1320>
										<xsl:value-of
											select="format-number(col[@id=24],'#')" />
									</ns:MtIml1320>
								</ns:PaysEmisRap411320>
							</ns:S1320>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1320>
	</xsl:template>

	<xsl:template name="PATRIM-L1410">
		<ns:L1410>
			<ns:Mt>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=37],'#')" />
			</ns:Mt>
			<xsl:for-each select="row">
				<xsl:if test="sum(col[@id=25])!=0">
					<xsl:choose>
						<xsl:when test="@id='filtre1702'">
							<ns:S1410>
								<ns:MlangLibPays>
									<ns:LibPays>
										<xsl:value-of select="''" />
									</ns:LibPays>
								</ns:MlangLibPays>
								<ns:Pays>
									<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
									</ns:CdPaysIso2>
								</ns:Pays>
								<ns:CollPaysCmceRapO41></ns:CollPaysCmceRapO41>
								<ns:PaysEmisRap411410>
									<ns:MtIml1410>
										<xsl:value-of
											select="format-number(col[@id=25],'#')" />
									</ns:MtIml1410>
								</ns:PaysEmisRap411410>
							</ns:S1410>
						</xsl:when>
					</xsl:choose>
				</xsl:if>
			</xsl:for-each>
		</ns:L1410>
	</xsl:template>

	<xsl:template name="SEGMENT-OPE">
		<ns:Ope>
			<ns:OpeRapAnn41>
				<ns:MtIml4100>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=47],'#')" />
				</ns:MtIml4100>
				<ns:MtIml4200>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=48],'#')" />
				</ns:MtIml4200>
				<ns:MtIml4300>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=49],'#')" />
				</ns:MtIml4300>
				<ns:MtIml4410>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=51],'#')" />
				</ns:MtIml4410>
				<ns:MtIml4420>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=52],'#')" />
				</ns:MtIml4420>
				<ns:MtIml4430>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=53],'#')" />
				</ns:MtIml4430>
				<ns:MtIml5110>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=56],'#')" />
				</ns:MtIml5110>
				<ns:MtIml5120>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=57],'#')" />
				</ns:MtIml5120>
				<ns:MtIml5130>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=58],'#')" />
				</ns:MtIml5130>
				<ns:MtIml5210>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=60],'#')" />
				</ns:MtIml5210>
				<ns:MtIml5220>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=61],'#')" />
				</ns:MtIml5220>
				<ns:MtIml5230>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=62],'#')" />
				</ns:MtIml5230>
				<ns:MtIml5310>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=64],'#')" />
				</ns:MtIml5310>
				<ns:MtIml5320>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=65],'#')" />
				</ns:MtIml5320>
				<ns:MtIml5400>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=66],'#')" />
				</ns:MtIml5400>
				<ns:MtIml5500>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=67],'#')" />
				</ns:MtIml5500>
				<ns:MtIml7100>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=69],'#')" />
				</ns:MtIml7100>
				<ns:MtIml7200>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=70],'#')" />
				</ns:MtIml7200>
			</ns:OpeRapAnn41>
			<ns:Mt4000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=46],'#')" />
			</ns:Mt4000>
			<ns:Mt4400>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=50],'#')" />
			</ns:Mt4400>
			<ns:Mt5000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=54],'#')" />
			</ns:Mt5000>
			<ns:Mt5100>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=55],'#')" />
			</ns:Mt5100>
			<ns:Mt5200>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=59],'#')" />
			</ns:Mt5200>
			<ns:Mt5300>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=63],'#')" />
			</ns:Mt5300>
			<ns:Mt6000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=68],'#')" />
			</ns:Mt6000>
			<ns:Mt7000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=71],'#')" />
			</ns:Mt7000>
		</ns:Ope>
	</xsl:template>

	<xsl:template name="SEGMENT-ACTIF">
		<ns:Actif>
			<ns:ActifRapAnn41>
				<ns:MtIml3001>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=72],'#')" />
				</ns:MtIml3001>
				<ns:MtIml8100>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=75],'#')" />
				</ns:MtIml8100>
				<ns:MtIml8200>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=76],'#')" />
				</ns:MtIml8200>
				<ns:MtIml9000>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=77],'#')" />
				</ns:MtIml9000>
				<ns:MtIml9100>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=78],'#')" />
				</ns:MtIml9100>
			</ns:ActifRapAnn41>
			<ns:Mt7000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=73],'#')" />
			</ns:Mt7000>
			<ns:Mt8000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=74],'#')" />
			</ns:Mt8000>
			<ns:Mt3000>
				<xsl:value-of
					select="format-number(row[@id='filtre1701']/col[@id=79],'#')" />
			</ns:Mt3000>
		</ns:Actif>
	</xsl:template>

	<xsl:template name="SEGMENT-MVT">
		<ns:Mvt>
			<ns:MvtRapAnn41>
				<ns:MtIml9500>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=80],'#')" />
				</ns:MtIml9500>
				<ns:MtIml9600>
					<xsl:value-of
						select="format-number(row[@id='filtre1701']/col[@id=81],'#')" />
				</ns:MtIml9600>
			</ns:MvtRapAnn41>
		</ns:Mvt>
	</xsl:template>

	<xsl:template name="SEGMENT-PAYS">
		<ns:Cmce>
			<xsl:for-each select="row">
				<xsl:choose>
					<xsl:when test="@id='filtre1703'">
						<ns:Scmce>
							<ns:MlangLibPays>
								<ns:LibPays>
									<xsl:value-of select="''" />
								</ns:LibPays>
							</ns:MlangLibPays>

							<ns:Pays>
								<ns:CdPaysIso2>
										<!-- application de la regle RG3 -->
										<xsl:choose>
											<!-- Si le code pays (nombre) est de longueur nulle -->
											<xsl:when test="string-length(normalize-space(col[@id=10])) = 0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Si la valeur du code pays(nombre) est égale à 0-->
											<xsl:when test="number(normalize-space(col[@id=10]))=0">
												<xsl:choose>
													<!-- si le code iso est sur 3 caractères-->
													<xsl:when test="string-length(normalize-space(col[@id=11])) = 3">
														<!--On va rechercher le code iso sur 2-->
														<xsl:variable name="iso3Pays" select="normalize-space(col[@id=11])" />
														<xsl:value-of select="ext:iso3ToIso2('CD_PAYS',$iso3Pays,$mappingParam)"
															xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
															xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
													</xsl:when>
													<xsl:otherwise>
														<!-- Alors on prend la colonne suivante (Code ISO2)-->
														<xsl:value-of select="normalize-space(col[@id=11])" />
													</xsl:otherwise>
												</xsl:choose>
											</xsl:when>
											<!-- Sinon (dans le cas ou la code pays est renseigné) -->
											<xsl:otherwise>											
												<xsl:variable name="idPays" select="number(normalize-space(col[@id=10]))" />
												<xsl:value-of select="ext:getCdPays('ID_PAYS',$idPays,$mappingParam)"
													xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
													xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
											</xsl:otherwise>
										</xsl:choose>
								</ns:CdPaysIso2>
							</ns:Pays>
							<ns:CollPaysCmceRapO41B>
								<ns:EstimPourcPart>
									<xsl:value-of select="format-number(col[@id=12] div 10000, '#.####')" />
								</ns:EstimPourcPart>
							</ns:CollPaysCmceRapO41B>
						</ns:Scmce>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
		</ns:Cmce>
	</xsl:template>

</xsl:stylesheet>
