<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:ext="java:lu.bourse.api.deposant.action.xsl.XslManager"
	xmlns:ns="http://www.bourse.lu/rap/S13"
	xmlns:fnbourse="http://www.bcl.lu/2006/bcl-xpath-functions"
	xmlns:saxon="http://saxon.sf.net/"
  extension-element-prefixes="saxon"
	xmlns:xs="http://www.w3.org/2001/XMLSchema"
	version="2.0">

	<xsl:output method="xml" indent="yes" />
	<xsl:param name="spaceParam" />
	<xsl:param name="mappingParam" />

  <xsl:variable name="compteurBRA" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRB" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRC" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRGActif" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRGPassif" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRH" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRJ" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRK" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRXActif" select="0" as="xs:integer" saxon:assignable="yes"/>
  <xsl:variable name="compteurBRXPassif" select="0" as="xs:integer" saxon:assignable="yes"/>
  
	<!--  -->
	<!-- Début Partie sur les Tests de Contrôles liées aux fichiers Déposés -->
	<!--  -->

	<xsl:template name="obtenirDateFormatee">
		<xsl:param name="dateEntree" />
		<xsl:param name="formatEntree" />
		<xsl:param name="formatSortie" />
		<xsl:variable name="timeVide" select="'00:00:00'" />

		<xsl:choose>
			<xsl:when test="$formatEntree='ddmmyyyy'">
				<xsl:choose>
					<xsl:when test="$formatSortie='date'">
						<xsl:value-of
							select="concat(substring($dateEntree, 5, 4), '-', substring($dateEntree, 3, 2), '-', substring($dateEntree, 1, 2))" />
					</xsl:when>
					<xsl:when test="$formatSortie='dateTime'">
						<xsl:value-of
							select="concat(substring($dateEntree, 5, 4), '-', substring($dateEntree, 3, 2), '-', substring($dateEntree, 1, 2), 'T', $timeVide)" />
					</xsl:when>
				</xsl:choose>
			</xsl:when>

			<xsl:when test="$formatEntree='yyyymmdd_hhmmss'">
				<xsl:choose>
					<xsl:when test="$formatSortie='date'">
						<xsl:value-of
							select="concat(substring($dateEntree, 1, 4), '-', substring($dateEntree, 5, 2), '-', substring($dateEntree, 7, 2))" />
					</xsl:when>
					<xsl:when test="$formatSortie='dateTime'">
						<xsl:value-of
							select="concat(substring($dateEntree, 1, 4), '-', substring($dateEntree, 5, 2), '-', substring($dateEntree, 7, 2), 'T', substring($dateEntree, 10, 2), ':', substring($dateEntree, 12, 2), ':', substring($dateEntree, 14, 2))" />
					</xsl:when>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>



	<xsl:template name="boucleTest" match="/file">

		<xsl:param name="iteration" select="1" />


		<xsl:if test="count(row) > $iteration ">
			<xsl:call-template name="boucleTest">
				<xsl:with-param name="iteration"
					select="$iteration + 1" />
			</xsl:call-template>
		</xsl:if>

		<!--  -->
		<!-- Fin Partie sur les Tests de Contrôles liés aux fichiers Déposés -->
		<!--  -->

		<!--  -->
		<!--  On n'effectue la transformation em Message Pivot seulement si l'ensemble des Tests ont été réalisés avec succès -->
		<!--  -->

		<xsl:if test="$iteration = count(row)">
			<ns:MsgInS13>
				<ns:Vers SchemaVers="1.0">
					<xsl:variable name="numVersXSD"
						select="ext:recupNumVersXSDFile($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$numVersXSD" />
				</ns:Vers>
				<xsl:call-template name="ELT-TECH" />
				<ns:SeqInS13>
					<ns:Conc1>
						<xsl:call-template name="SEQUENCE-IN-S13" />
					</ns:Conc1>
				</ns:SeqInS13>
			</ns:MsgInS13>
		</xsl:if>
	</xsl:template>

	<xsl:template name="replace-string">
	  <xsl:param name="str" />
		<xsl:param name="strToReplace" />
		<xsl:param name="newStr" />
		<xsl:choose>
  		<xsl:when test="contains($str,$strToReplace)">
        <xsl:value-of select="concat(substring-before($str,$strToReplace),$newStr)"/>
        <xsl:call-template name="replace-string"> 
          <xsl:with-param name="str" select="substring-after($str,$strToReplace)" /> 
          <xsl:with-param name="strToReplace" select="$strToReplace" /> 
          <xsl:with-param name="newStr" select="$newStr" /> 
        </xsl:call-template> 
      </xsl:when> 
      <xsl:otherwise>
        <xsl:value-of select="$str"/>
      </xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="ELT-TECH">
		<ns:other>
			<ns:EltTech>
				<ns:ListeDev>
					<xsl:value-of select="ext:getListeDevises()" />
				</ns:ListeDev>
				<ns:CdLang>
					<xsl:value-of select="ext:getLang()" />
				</ns:CdLang>
				<ns:UrlCombo>
					<xsl:value-of select="ext:recupDonnee('WS_URL_COMBO', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlCombo>
				<ns:UrlDownload>
					<xsl:value-of select="ext:recupDonnee('WS_URL_DOWNLOAD', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlDownload>
				<ns:UrlCmun>
					<xsl:value-of select="ext:recupDonnee('WS_URL_COMMUN', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:UrlCmun>			
				<ns:CdIdentAcCssf>
					<xsl:value-of select="ext:obtenirCdAcCssf($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:CdIdentAcCssf>
				<ns:CdIdentAcBcl>
					<xsl:value-of select="ext:obtenirCdAc($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				</ns:CdIdentAcBcl>
				<ns:DtCre>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtCre>
				<ns:DtEnvoi>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtEnvoi>
				<ns:DtValidat>
					<xsl:variable name="dateDuJour"
						select="ext:recupDateDuJour($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:call-template name="obtenirDateFormatee">
						<xsl:with-param name="dateEntree"
							select="$dateDuJour" />
						<xsl:with-param name="formatEntree"
							select="'yyyymmdd_hhmmss'" />
						<xsl:with-param name="formatSortie"
							select="'dateTime'" />
					</xsl:call-template>
				</ns:DtValidat>
				<ns:NumMess>
					<xsl:variable name="numMess"
						select="ext:recupNumeroMessage($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$numMess" />
				</ns:NumMess>
				<ns:MotPasAc>
					<xsl:variable name="pwdAc"
						select="ext:obtenirPwdAc($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$pwdAc" />
				</ns:MotPasAc>
				<ns:CdAuthent>
					<xsl:variable name="cdAuth"
						select="ext:obtenirCodeAuth($spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$cdAuth" />
				</ns:CdAuthent>
				<ns:CdOpe>
					<xsl:value-of
						select="row[@id='filtre2701']/col[@id=3]" />
				</ns:CdOpe>
				<ns:Sess>
					<xsl:value-of select="''" />
				</ns:Sess>
				<ns:IdTypeDoc>
					<xsl:variable name="typeDoc"
						select="ext:recupDonnee('TYPE_DOC', $spaceParam)"
						xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
					<xsl:value-of select="$typeDoc" />
				</ns:IdTypeDoc>
			</ns:EltTech>
		</ns:other>

	</xsl:template>

	<xsl:template name="SEQUENCE-IN-S13">
		<xsl:call-template name="SEGMENT-CONTEXT" />
		<xsl:call-template name="SEGMENT-ACTIF" />
		<xsl:call-template name="SEGMENT-PASSIF" />
	</xsl:template>

	<xsl:template name="SEGMENT-CONTEXT">
		<ns:Context>
			<xsl:call-template name="CONTEXT-STRUCTJUROPC" />
			<xsl:call-template name="CONTEXT-TECH" />
			<xsl:call-template name="CONTEXT-TECHCONTACT" />
			<xsl:call-template name="CONTEXT-CODIFINSTRFONDS" />
			<xsl:call-template name="CONTEXT-INSTRFONDS" />
			<xsl:call-template name="CONTEXT-CDINTERNEFONDS" />
			<xsl:call-template name="CONTEXT-CODIFINSTRCOMPART" />
			<xsl:call-template name="CONTEXT-INSTRCOMPART" />
			<xsl:call-template name="CONTEXT-CDINTERNECOMPART" />
			<xsl:call-template name="CONTEXT-DEV" />
			<xsl:call-template name="CONTEXT-CONTEXTRAPMENSS13" />
		</ns:Context>
	</xsl:template>

	<xsl:template name="CONTEXT-STRUCTJUROPC">
		<ns:StructJurOpc>
			<ns:CdStructJurOpc>
				<xsl:variable name="idStructJurOpc"
					select="ext:recupDonnee('IDSTRUCTJUROPC', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$idStructJurOpc" />
			</ns:CdStructJurOpc>
		</ns:StructJurOpc>
	</xsl:template>

	<xsl:template name="CONTEXT-TECH">
		<ns:Tech>
			<ns:Adr>
				<xsl:variable name="adresse1"
					select="ext:recupDonnee('ADDRESSE1', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$adresse1" />
				<xsl:variable name="adresse2"
					select="ext:recupDonnee('ADDRESSE2', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$adresse2" />
			</ns:Adr>
			<ns:CdPostal>
				<xsl:variable name="cdpostal"
					select="ext:recupDonnee('CDPOSTAL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$cdpostal" />
			</ns:CdPostal>
			<ns:Ville>
				<xsl:variable name="ville"
					select="ext:recupDonnee('VILLE', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$ville" />
			</ns:Ville>
			<ns:Pays>
				<xsl:variable name="pays"
					select="ext:recupDonnee('IDPAYS', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$pays" />
			</ns:Pays>
		</ns:Tech>
	</xsl:template>


	<xsl:template name="CONTEXT-TECHCONTACT">
		<ns:TechContact>
			<ns:Titre>
				<xsl:value-of select="''" />
			</ns:Titre>
			<ns:Nom>
				<xsl:variable name="nomUtil"
					select="ext:recupDonnee('NOMUTIL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$nomUtil" />
			</ns:Nom>
			<ns:Prenom>
				<xsl:variable name="prenomUtil"
					select="ext:recupDonnee('PRENOMUTIL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$prenomUtil" />
			</ns:Prenom>
			<ns:Tel>
				<xsl:variable name="tel"
					select="ext:recupDonnee('TEL', $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:value-of select="$tel" />
			</ns:Tel>
		</ns:TechContact>
	</xsl:template>

	<xsl:template name="CONTEXT-CODIFINSTRFONDS">
		<ns:CodifInstrFonds>
			<ns:CodifInstr>
				<xsl:value-of select="row[@id='filtre2701']/col[@id=4]" />
			</ns:CodifInstr>
		</ns:CodifInstrFonds>
	</xsl:template>

	<xsl:template name="CONTEXT-INSTRFONDS">
		<ns:InstrFonds>
			<ns:LibAbrInstr>
				<xsl:variable name="libInstrFonds"
					select="ext:obtenirContextForm(row[@id='filtre2701']/ficOri, row[@id='filtre2701']/ligneOri,'FONDS', row[@id='filtre2701']/col[@id=4], row[@id='filtre2701']/col[@id=5], row[@id='filtre2701']/col[@id=6], row[@id='filtre2701']/col[@id=7], $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:call-template name="replace-string">
				  <xsl:with-param name="str"
						select="$libInstrFonds" />
					<xsl:with-param name="strToReplace"
						select="'&#128;'" /><!-- On remplace le caractere euro par un encoding euro correct pour l'afficher correctement dans les pdf'-->
					<xsl:with-param name="newStr"
						select="'&#8364;'" />
				</xsl:call-template>
			</ns:LibAbrInstr>
		</ns:InstrFonds>
	</xsl:template>

	<xsl:template name="CONTEXT-CDINTERNEFONDS">
		<ns:CdInterneFonds>
			<xsl:value-of select="row[@id='filtre2701']/col[@id=6]" />
		</ns:CdInterneFonds>
	</xsl:template>

	<xsl:template name="CONTEXT-CODIFINSTRCOMPART">
		<ns:CodifInstrCompart>
			<ns:CodifInstr>
				<xsl:value-of select="row[@id='filtre2701']/col[@id=5]" />
			</ns:CodifInstr>
		</ns:CodifInstrCompart>
	</xsl:template>

	<xsl:template name="CONTEXT-INSTRCOMPART">
		<ns:InstrCompart>
			<ns:LibAbrInstr>
				<xsl:variable name="libInstrCompart"
					select="ext:obtenirContextForm(row[@id='filtre2701']/ficOri, row[@id='filtre2701']/ligneOri,'COMPART', row[@id='filtre2701']/col[@id=4], row[@id='filtre2701']/col[@id=5], $spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:call-template name="replace-string">
				  <xsl:with-param name="str"
						select="$libInstrCompart" />
					<xsl:with-param name="strToReplace"
						select="'&#128;'" /><!-- On remplace le caractere euro par un encoding euro correct pour l'afficher correctement dans les pdf'-->
					<xsl:with-param name="newStr"
						select="'&#8364;'" />
				</xsl:call-template>
			</ns:LibAbrInstr>
		</ns:InstrCompart>
	</xsl:template>

	<xsl:template name="CONTEXT-CDINTERNECOMPART">
		<ns:CdInterneCompart>
			<xsl:value-of select="row[@id='filtre2701']/col[@id=7]" />
		</ns:CdInterneCompart>
	</xsl:template>

	<xsl:template name="CONTEXT-DEV">
		<ns:Dev>
			<ns:CdDevIso>
				<xsl:value-of
					select="row[@id='filtre2701']/col[@id=10]" />
			</ns:CdDevIso>
		</ns:Dev>
	</xsl:template>

	<xsl:template name="CONTEXT-CONTEXTRAPMENSS13">
		<ns:ContextRapMensS13>
			<ns:DtDebRap>
				<xsl:variable name="dtDebRap"
					select="row[@id='filtre2701']/col[@id=8]" />
				<xsl:call-template name="obtenirDateFormatee">
					<xsl:with-param name="dateEntree"
						select="ext:obtenirDate($dtDebRap)" />
					<xsl:with-param name="formatEntree"
						select="'ddmmyyyy'" />
					<xsl:with-param name="formatSortie"
						select="'dateTime'" />
				</xsl:call-template>
			</ns:DtDebRap>
			<ns:DtFinRap>
				<xsl:variable name="dtFinRap"
					select="row[@id='filtre2701']/col[@id=9]" />
				<xsl:call-template name="obtenirDateFormatee">
					<xsl:with-param name="dateEntree"
						select="ext:obtenirDate($dtFinRap)" />
					<xsl:with-param name="formatEntree"
						select="'ddmmyyyy'" />
					<xsl:with-param name="formatSortie"
						select="'dateTime'" />
				</xsl:call-template>
			</ns:DtFinRap>
			<ns:TxChgeIml>
					<xsl:value-of select="format-number(row[@id='filtre2701']/col[@id=11] div 100000, '#.#####')" />
			</ns:TxChgeIml>
		</ns:ContextRapMensS13>
	</xsl:template>

	<xsl:template name="SEGMENT-ACTIF">
		<ns:Actif>
			<xsl:call-template name="ACTIF-A020" />
			<xsl:call-template name="ACTIF-A030" />
			<xsl:call-template name="ACTIF-A040" />
			<xsl:call-template name="ACTIF-A050" />
			<xsl:call-template name="ACTIF-A080" />
			<xsl:call-template name="ACTIF-A000" />
		</ns:Actif>
	</xsl:template>

	<xsl:template name="SEGMENT-PASSIF">
		<ns:Passif>
			<xsl:call-template name="PASSIF-P021" />
			<xsl:call-template name="PASSIF-P022" />
			<xsl:call-template name="PASSIF-P023" />
			<xsl:call-template name="PASSIF-P024" />
			<xsl:call-template name="PASSIF-P040" />
			<xsl:call-template name="PASSIF-P110" />
			<xsl:call-template name="PASSIF-P000" />
		</ns:Passif>
	</xsl:template>

	<xsl:template name="decoupe-codeLigneEdifact">
		<xsl:param name="ligne" />
		<xsl:value-of
			select="concat(substring($ligne, 2,1), '-',substring($ligne, 3,3), '-', substring($ligne, 6,2), '-', substring($ligne, 8,3), '-',  substring($ligne, 11,5))" />
	</xsl:template>

	<xsl:template name="obtenirLigneUnitaire">
		<xsl:param name="ligne" />
		<xsl:param name="newline" />
		<xsl:if test="'$newline'='$ligne'">
			<xsl:value-of select="$ligne" />
		</xsl:if>
	</xsl:template>

	<xsl:template name="obtenirPays">
		<xsl:param name="ligne" />
		<ns:Pays>			
			<xsl:value-of select="substring($ligne, 7, 2)"
				xmlns:spaceParam="java:lu.bourse.services.workflow.Space"
				xmlns:mappingParam="java:lu.bourse.api.deposant.mapping.MappingHelper"/>
		</ns:Pays>
	</xsl:template>

	<xsl:template name="obtenirDevise">
			<xsl:param name="ligne" />
				<ns:Dev>
					<xsl:value-of select="substring($ligne, 10, 3)" />
				</ns:Dev>
	</xsl:template>

	<xsl:template name="obtenirSectEco">
		<xsl:param name="ligne" />
			<ns:SectEco>
				<xsl:value-of select="substring($ligne, 14, 5)" />
			</ns:SectEco>
	</xsl:template>

	<xsl:template name="obtenirPeriode">
		<xsl:param name="ligne" />
		<xsl:variable name="code" select="substring($ligne, 1, 1)" />
		<xsl:choose>
			<xsl:when test="@id='filtre2702'">
			<xsl:variable name="col12" select="col[@id=12]" as="xs:long"  />
				<xsl:if test="col[@id=11]='BRA'">
    				<saxon:assign name="compteurBRA" select="$compteurBRA+$col12"/> 
    		  <ns:Inf3m>
	   				<xsl:value-of select="$col12" />
	 	 	   	</ns:Inf3m>
	 	   	</xsl:if>
				<xsl:if test="col[@id=11]='BRB'">
           		<saxon:assign name="compteurBRB" select="$compteurBRB+$col12"/> 
          <ns:Inf1>
						<xsl:value-of select="$col12" />
					</ns:Inf1>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRC'">
          	<saxon:assign name="compteurBRC" select="$compteurBRC+$col12"/> 
					<ns:Inf1>
						<xsl:value-of select="$col12" />
					</ns:Inf1>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRG'">
          	<xsl:if test="$code='1'">
          		<saxon:assign name="compteurBRGActif" select="$compteurBRGActif+$col12"/> 
          </xsl:if>
          <xsl:if test="$code='2'">
          		<saxon:assign name="compteurBRGPassif" select="$compteurBRGPassif+$col12"/> 
          </xsl:if> 
					<ns:Inf2>
						<xsl:value-of select="$col12" />
					</ns:Inf2>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRH'">
          		<saxon:assign name="compteurBRH" select="$compteurBRH+$col12"/> 
					<ns:Inf5>
						<xsl:value-of select="$col12" />
					</ns:Inf5>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRJ'">
          		<saxon:assign name="compteurBRJ" select="$compteurBRJ+$col12"/> 
					<ns:Sup2>
						<xsl:value-of select="$col12" />
					</ns:Sup2>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRK'">
          		<saxon:assign name="compteurBRK" select="$compteurBRK+$col12"/> 
					<ns:Sup5>
						<xsl:value-of select="$col12" />
					</ns:Sup5>
				</xsl:if>
				<xsl:if test="col[@id=11]='BRX'">
          <xsl:if test="$code='1'">
          		<saxon:assign name="compteurBRXActif" select="$compteurBRXActif+$col12"/> 
          </xsl:if>
          <xsl:if test="$code='2'">
          		<saxon:assign name="compteurBRXPassif" select="$compteurBRXPassif+$col12"/> 
          </xsl:if>
  			<ns:Nv>
  			   <xsl:value-of select="$col12" />
	 	 	  </ns:Nv>
	 	   	</xsl:if>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="obtenirContenuBalise">
		<xsl:param name="ligne" />
		<xsl:variable name="valueLine"
			select="ext:initValueLine($spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		<xsl:if test="$valueLine='true'"></xsl:if>

		<xsl:variable name="firstPass">
			<xsl:call-template name="decoupe-codeLigneEdifact">
				<xsl:with-param name="ligne" select="$ligne" />
			</xsl:call-template>
		</xsl:variable>

		<xsl:for-each select="row">
			<xsl:variable name="resultDecoupe">
				<xsl:call-template name="decoupe-codeLigneEdifact">
					<xsl:with-param name="ligne" select="$ligne" />
				</xsl:call-template>
			</xsl:variable>

			<xsl:if test="col[@id=10]=$resultDecoupe">
				<xsl:variable name="valueLine2"
					select="ext:setHasValueLine($spaceParam)"
					xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
				<xsl:if test="$valueLine2='true'"></xsl:if>

				<xsl:call-template name="obtenirLigneUnitaire">
					<xsl:with-param name="newline" select="$firstPass" />
					<xsl:with-param name="ligne"
						select="$resultDecoupe" />
				</xsl:call-template>
			</xsl:if>
		</xsl:for-each>

		<xsl:variable name="valueLine3"
			select="ext:obtenirValueLine($spaceParam)"
			xmlns:spaceParam="java:lu.bourse.services.workflow.Space" />
		<xsl:if test="$valueLine3='yes'">
			<xsl:variable name="ligneUnitaire" select="$firstPass" />

			<xsl:call-template name="obtenirPays">
				<xsl:with-param name="ligne" select="$ligneUnitaire" />
			</xsl:call-template>

			<xsl:call-template name="obtenirDevise">
				<xsl:with-param name="ligne" select="$ligneUnitaire" />
			</xsl:call-template>

			<xsl:call-template name="obtenirSectEco">
				<xsl:with-param name="ligne" select="$ligneUnitaire" />
			</xsl:call-template>
		</xsl:if>

		<xsl:if test="$valueLine3!='yes'">
			<ns:Pays></ns:Pays>
			<ns:Dev></ns:Dev>
			<ns:SectEco></ns:SectEco>
		</xsl:if>

		<xsl:if test="substring($ligne, 2,1)='1'">
			<ns:MaturiteA>
				<xsl:for-each select="row">
					<xsl:variable name="resultDecoupe">
						<xsl:call-template
							name="decoupe-codeLigneEdifact">
							<xsl:with-param name="ligne"
								select="$ligne" />
						</xsl:call-template>
					</xsl:variable>
					<xsl:if test="col[@id=10]=$resultDecoupe">
						<xsl:call-template name="obtenirPeriode">
							<xsl:with-param name="ligne"
								select="$resultDecoupe" />
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</ns:MaturiteA>
		</xsl:if>

		<xsl:if test="substring($ligne, 2,1)='2'">
			<ns:MaturiteP>
				<xsl:for-each select="row">
					<xsl:variable name="resultDecoupe">
						<xsl:call-template
							name="decoupe-codeLigneEdifact">
							<xsl:with-param name="ligne"
								select="$ligne" />
						</xsl:call-template>
					</xsl:variable>
					<xsl:if test="col[@id=10]=$resultDecoupe">
						<xsl:call-template name="obtenirPeriode">
							<xsl:with-param name="ligne"
								select="$resultDecoupe" />
						</xsl:call-template>
					</xsl:if>
				</xsl:for-each>
			</ns:MaturiteP>
		</xsl:if>
	</xsl:template>


	<xsl:template name="ACTIF-A020">
		<ns:A020>
			<ns:Rubr>020</ns:Rubr>
			<ns:L1020LuEur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur11000>
			<ns:L1020LuEur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur12000>
			<ns:L1020LuEur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur30000>
			<ns:L1020LuEur41100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR41100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur41100>
			<ns:L1020LuEur41200>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR41200'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur41200>

			<ns:L1020LuEur42100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUEUR42100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuEur42100>
			<ns:L1020LuXx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx211000>
			<ns:L1020LuXx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX212000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx212000>
			<ns:L1020LuXx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx230000>
			<ns:L1020LuXx241100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX241100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx241100>
			<ns:L1020LuXx241200>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX241200'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx241200>
			<ns:L1020LuXx242100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020LUXX242100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020LuXx242100>
			<ns:L1020X3Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur11000>
			<ns:L1020X3Eur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur12000>
			<ns:L1020X3Eur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur30000>
			<ns:L1020X3Eur41100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR41100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur41100>
			<ns:L1020X3Eur41200>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR41200'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur41200>
			<ns:L1020X3Eur42100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3EUR42100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Eur42100>
			<ns:L1020X3Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx211000>
			<ns:L1020X3Xx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX212000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx212000>
			<ns:L1020X3Xx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx230000>
			<ns:L1020X3Xx241100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX241100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx241100>
			<ns:L1020X3Xx241200>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX241200'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx241200>
			<ns:L1020X3Xx242100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X3XX242100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X3Xx242100>
			<ns:L1020X4Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Eur11000>
			<ns:L1020X4Eur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4EUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Eur30000>
			<ns:L1020X4Eur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4EUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Eur40000>
			<ns:L1020X4Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Xx211000>
			<ns:L1020X4Xx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4XX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Xx230000>
			<ns:L1020X4Xx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1020X4XX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1020X4Xx240000>
		</ns:A020>
	</xsl:template>

	<xsl:template name="ACTIF-A030">
		<ns:A030>
			<ns:Rubr>030</ns:Rubr>
			<ns:L1030LuEur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuEur11000>
			<ns:L1030LuEur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUEUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuEur12000>
			<ns:L1030LuEur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUEUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuEur30000>
			<ns:L1030LuEur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUEUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuEur40000>
			<ns:L1030LuXx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUXX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuXx211000>
			<ns:L1030LuXx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUXX212000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuXx212000>
			<ns:L1030LuXx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUXX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuXx230000>
			<ns:L1030LuXx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030LUXX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030LuXx240000>
			<ns:L1030X3Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Eur11000>
			<ns:L1030X3Eur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3EUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Eur12000>
			<ns:L1030X3Eur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3EUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Eur30000>
			<ns:L1030X3Eur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3EUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Eur40000>
			<ns:L1030X3Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Xx211000>
			<ns:L1030X3Xx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3XX212000'" />
					</xsl:call-template>

				</ns:LigneA>
			</ns:L1030X3Xx212000>
			<ns:L1030X3Xx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3XX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X3Xx230000>
			<ns:L1030X3Xx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X3XX240000'" />
					</xsl:call-template>

				</ns:LigneA>
			</ns:L1030X3Xx240000>
			<ns:L1030X4Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Eur11000>
			<ns:L1030X4Eur30000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4EUR30000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Eur30000>
			<ns:L1030X4Eur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4EUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Eur40000>
			<ns:L1030X4Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Xx211000>
			<ns:L1030X4Xx230000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4XX230000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Xx230000>
			<ns:L1030X4Xx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1030X4XX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1030X4Xx240000>
		</ns:A030>
	</xsl:template>

	<xsl:template name="ACTIF-A040">
		<ns:A040>
			<ns:Rubr>040</ns:Rubr>
			<ns:L1040LuEur12100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040LUEUR12100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040LuEur12100>
			<ns:L1040LuXx212100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040LUXX212100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040LuXx212100>
			<ns:L1040X3Eur12100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040X3EUR12100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040X3Eur12100>
			<ns:L1040X3Xx212100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040X3XX212100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040X3Xx212100>
			<ns:L1040X4Eur12100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040X4EUR12100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040X4Eur12100>
			<ns:L1040X4Xx212100>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1040X4XX212100'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1040X4Xx212100>

		</ns:A040>
	</xsl:template>

	<xsl:template name="ACTIF-A050">
		<ns:A050>
			<ns:Rubr>050</ns:Rubr>
			<ns:L1050LuEur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuEur11000>
			<ns:L1050LuEur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUEUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuEur12000>
			<ns:L1050LuEur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUEUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuEur40000>
			<ns:L1050LuXx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUXX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuXx211000>
			<ns:L1050LuXx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUXX212000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuXx212000>
			<ns:L1050LuXx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050LUXX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050LuXx240000>
			<ns:L1050X3Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3EUR11000'" />
					</xsl:call-template>

				</ns:LigneA>
			</ns:L1050X3Eur11000>
			<ns:L1050X3Eur12000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3EUR12000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X3Eur12000>
			<ns:L1050X3Eur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3EUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X3Eur40000>
			<ns:L1050X3Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X3Xx211000>
			<ns:L1050X3Xx212000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3XX212000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X3Xx212000>
			<ns:L1050X3Xx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X3XX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X3Xx240000>
			<ns:L1050X4Eur11000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X4Eur11000>
			<ns:L1050X4Eur40000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X4EUR40000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X4Eur40000>
			<ns:L1050X4Xx211000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X4XX211000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X4Xx211000>
			<ns:L1050X4Xx240000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1050X4XX240000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1050X4Xx240000>
		</ns:A050>
	</xsl:template>

	<xsl:template name="ACTIF-A080">
		<ns:A080>
			<ns:Rubr>080</ns:Rubr>
			<ns:L1080X1Xx100000>
				<ns:LigneA>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L1080X1XX100000'" />
					</xsl:call-template>
				</ns:LigneA>
			</ns:L1080X1Xx100000>
		</ns:A080>
	</xsl:template>

	<xsl:template name="ACTIF-A000">
		<ns:A000>
			<ns:Rubr>000</ns:Rubr>
			<ns:L1000X1Xx100000>
				<ns:LigneA>
					<ns:Pays>X1</ns:Pays>
          <ns:Dev>XX1</ns:Dev>
          <ns:SectEco>00000</ns:SectEco>
          <ns:MaturiteA>
          <xsl:if test="$compteurBRB!=0">
            <ns:Inf1>
          		<xsl:value-of select="$compteurBRB" />
          	</ns:Inf1>
          </xsl:if>
          <xsl:if test="$compteurBRGActif!=0">
          	<ns:Inf2>
          		<xsl:value-of select="$compteurBRGActif" />
          	</ns:Inf2>
          </xsl:if>
          <xsl:if test="$compteurBRH!=0">
          	<ns:Inf5>
          		<xsl:value-of select="$compteurBRH" />
          	</ns:Inf5>
          </xsl:if>
          <xsl:if test="$compteurBRK!=0">
          	<ns:Sup5>
          		<xsl:value-of select="$compteurBRK" />
          	</ns:Sup5>
          </xsl:if>
          <xsl:if test="$compteurBRXActif!=0">
          	<ns:Nv>
          		<xsl:value-of select="$compteurBRXActif" />
          	</ns:Nv>
          </xsl:if>
          </ns:MaturiteA>
				</ns:LigneA>
			</ns:L1000X1Xx100000>
		</ns:A000>
	</xsl:template>



	<xsl:template name="PASSIF-P021">
		<ns:P021>
			<ns:Rubr>021</ns:Rubr>
			<ns:L2021LuEur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021LuEur11000>
			<ns:L2021LuXx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021LUXX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021LuXx211000>
			<ns:L2021X3Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021X3Eur11000>
			<ns:L2021X3Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021X3XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021X3Xx211000>
			<ns:L2021X4Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021X4Eur11000>
			<ns:L2021X4Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2021X4XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2021X4Xx211000>
		</ns:P021>
	</xsl:template>

	<xsl:template name="PASSIF-P022">
		<ns:P022>
			<ns:Rubr>022</ns:Rubr>
			<ns:L2022LuEur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022LuEur11000>
			<ns:L2022LuXx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022LUXX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022LuXx211000>
			<ns:L2022X3Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022X3Eur11000>
			<ns:L2022X3Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022X3XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022X3Xx211000>
			<ns:L2022X4Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022X4Eur11000>
			<ns:L2022X4Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2022X4XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2022X4Xx211000>
		</ns:P022>
	</xsl:template>

	<xsl:template name="PASSIF-P023">
		<ns:P023>
			<ns:Rubr>023</ns:Rubr>
			<ns:L2023LuEur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023LuEur11000>
			<ns:L2023LuXx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023LUXX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023LuXx211000>
			<ns:L2023X3Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023X3Eur11000>
			<ns:L2023X3Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023X3XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023X3Xx211000>
			<ns:L2023X4Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023X4Eur11000>
			<ns:L2023X4Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2023X4XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2023X4Xx211000>
		</ns:P023>
	</xsl:template>

	<xsl:template name="PASSIF-P024">
		<ns:P024>
			<ns:Rubr>024</ns:Rubr>
			<ns:L2024LuEur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024LUEUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024LuEur11000>
			<ns:L2024LuXx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024LUXX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024LuXx211000>
			<ns:L2024X3Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024X3EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024X3Eur11000>
			<ns:L2024X3Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024X3XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024X3Xx211000>
			<ns:L2024X4Eur11000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024X4EUR11000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024X4Eur11000>
			<ns:L2024X4Xx211000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2024X4XX211000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2024X4Xx211000>
		</ns:P024>
	</xsl:template>

	<xsl:template name="PASSIF-P040">
		<ns:P040>
			<ns:Rubr>040</ns:Rubr>
			<ns:L2040LuXx100000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2040LUXX100000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2040LuXx100000>
			<ns:L2040X3Xx100000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2040X3XX100000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2040X3Xx100000>
			<ns:L2040X4Xx100000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2040X4XX100000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2040X4Xx100000>
		</ns:P040>
	</xsl:template>

	<xsl:template name="PASSIF-P110">
		<ns:P110>
			<ns:Rubr>110</ns:Rubr>
			<ns:L2110X1Xx100000>
				<ns:LigneP>
					<xsl:call-template name="obtenirContenuBalise">
						<xsl:with-param name="ligne"
							select="'L2110X1XX100000'" />
					</xsl:call-template>
				</ns:LigneP>
			</ns:L2110X1Xx100000>
		</ns:P110>
	</xsl:template>

	<xsl:template name="PASSIF-P000">
		<ns:P000>
			<ns:Rubr>000</ns:Rubr>
			<ns:L2000X1Xx100000>
				<ns:LigneP>
					<ns:Pays>X1</ns:Pays>
          <ns:Dev>XX1</ns:Dev>
          <ns:SectEco>00000</ns:SectEco>
          <ns:MaturiteP>
          <xsl:if test="$compteurBRA!=0">
            <ns:Inf3m>
          		<xsl:value-of select="$compteurBRA" />
          	</ns:Inf3m>
          </xsl:if>
          <xsl:if test="$compteurBRC!=0">
          	<ns:Inf1>
          		<xsl:value-of select="$compteurBRC" />
          	</ns:Inf1>
          </xsl:if>
          <xsl:if test="$compteurBRGPassif!=0">
          	<ns:Inf2>
          		<xsl:value-of select="$compteurBRGPassif" />
          	</ns:Inf2>
          </xsl:if>
          <xsl:if test="$compteurBRJ!=0">
          	<ns:Sup2>
          		<xsl:value-of select="$compteurBRJ" />
          	</ns:Sup2>
          </xsl:if>
          <xsl:if test="$compteurBRXPassif!=0">
          	<ns:Nv>
          		<xsl:value-of select="$compteurBRXPassif" />
          	</ns:Nv>
          </xsl:if>
          </ns:MaturiteP>
				</ns:LigneP>
			</ns:L2000X1Xx100000>
		</ns:P000>
	</xsl:template>
	
	
</xsl:stylesheet>
